Subject: Re: Please pull from 'for_paulus' branch

From: Alan Modra <[email-masked]>
Date: Sat, 30 Jun 2007 20:27:41 +0930

On Sat, Jun 30, 2007 at 04:57:48PM +1000, Paul Mackerras wrote:
> Andreas Schwab writes:
> 
> > The assembler should be called with -a64, which has the effect of
> > defaulting to -mppc64.
> 
> Yes, the assembler is called with -a64, but that doesn't appear to
> have the effect of defaulting to -mppc64.
> 
> [Alan: this thread is about the fact that compiling C code with "gcc
> -m64 -mcpu=powerpc64" will give assembler errors, complaining about
> instructions like sldi, whereas compiling with "gcc -m64" doesn't.]

Eh?  For a long time, powerpc gcc has passed "-many" to the assembler,
which should avoid this sort of problem.  Broken toolchain, I'd say.

-- 
Alan Modra
IBM OzLabs - Linux Technology Centre